Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class ThemeDefinition

    java.lang.Object
      com.bea.netuix.application.definition.ThemeDefinition

All Implemented Interfaces
  DateableDefinition, Serializable

    public class ThemeDefinition

extends Object
implements DateableDefinition, Serializable

This class represents a persistent theme. Themes are persisted through the customization API or by creating .theme files and placing them in the webapp.

See Also
  Serialized Form

Constructor Summary
`ThemeDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String webAppName, String themeFile, boolean deleted)` Constructor to create a new `ThemeDefinition` object.

Method Summary
`Date` | `getCreatedDate()` Gets the time that this object was created in the database.
`LocalizationIntersectionId` | `getLocalizationIntersectionId()` Returns the `LocalizationIntersectionId` for this theme.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this `ThemeDefinition` based on the locale of the request used for retrieving the `ThemeDefinition`.
`MarkupDefinitionId` | `getMarkupDefinitionId()` Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this theme.
`Date` | `getModifiedDate()` Gets the time that this object was last updated in the database.
`ThemeDefinitionId` | `getThemeDefinitionId()` Returns the `ThemeDefinitionId` for this theme.
`String` | `getThemeFile()` Returns the path to the theme file for this theme.
`String` | `getThumbnailUri()` Get the URI to the thumbnail representation (gif).
`String` | `getWebAppName()` Returns the name of the J2EE web application this theme is scoped to.
`boolean` | `isDeleted()` Returns whether this theme is deleted.
`void` | `setDeleted(boolean deleted)` Sets whether this theme is deleted
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets the `LocalizationResource` for this theme.
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)` Sets the `MarkupDefinitionId` for this theme.
`void` | `setThemeFile(String themeFile)` Sets the theme file path for this theme.
`void` | `setThumbnailUri(String thumbnailUri)` Set the URI to the thumbnail represenation (gif).
`void` | `setWebAppName(String webAppName)` Scopes this theme to specified J2EE web application
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThemeDefinition

    public ThemeDefinition(LocalizationResource localizationResource,
                           MarkupDefinitionId markupDefinitionId,
                           String webAppName,
                           String themeFile,
                           boolean deleted)

  Constructor to create a new `ThemeDefinition` object.

  Parameters
    `localizationResource` - localized title and description
    `markupDefinitionId` - reference to a persisted `MarkupDefinition` that specifies the markup for this theme
    `webAppName` - name of the J2EE web application this theme is scoped to
    `themeFile` - path to the theme file. This path is relative to the web application context
    `deleted` - if this theme has been deleted

Method Detail

### getThemeDefinitionId

    public ThemeDefinitionId getThemeDefinitionId()

  Returns the `ThemeDefinitionId` for this theme. Returns null when the ThemeDefinition has not been retrieved by using the persistence API.

  Returns
    `ThemeDefinitionId` for this theme

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this `ThemeDefinition` based on the locale of the request used for retrieving the `ThemeDefinition`.

  Returns
    `LocalizationResource` associated with this theme

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

  Returns the `LocalizationIntersectionId` for this theme. Returns null if no LocalizationResource is associated with this theme. A `LocalizationIntersectionId` is a reference to all localized versions of title and description for an entity.

  Returns
    `LocalizationIntersectionId` for this shell

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets the `LocalizationResource` for this theme.

  Parameters
    `localizationResource` -

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

  Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this theme.

  Returns
    `MarkupDefinitionId`
  See Also
    `MarkupDefinition`

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

  Sets the `MarkupDefinitionId` for this theme.

  Parameters
    `markupDefinitionId` -

### getWebAppName

    public String getWebAppName()

  Returns the name of the J2EE web application this theme is scoped to.

  Returns
    name of web application

### setWebAppName

    public void setWebAppName(String webAppName)

  Scopes this theme to specified J2EE web application

  Parameters
    `webAppName` - name of the web application to scope this theme to

### getThemeFile

    public String getThemeFile()

  Returns the path to the theme file for this theme. This path is relative to the web application context.

  Returns
    theme file path

### setThemeFile

    public void setThemeFile(String themeFile)

  Sets the theme file path for this theme.

  Parameters
    `themeFile` -

### isDeleted

    public boolean isDeleted()

  Returns whether this theme is deleted.

  Returns
    true if this theme is deleted

### setDeleted

    public void setDeleted(boolean deleted)

  Sets whether this theme is deleted

  Parameters
    `deleted` -

### getCreatedDate

    public Date getCreatedDate()

  Gets the time that this object was created in the database.

  Specified by:
    `getCreatedDate` in interface `DateableDefinition`

### getModifiedDate

    public Date getModifiedDate()

  Gets the time that this object was last updated in the database.

  Specified by:
    `getModifiedDate` in interface `DateableDefinition`

### getThumbnailUri

    public String getThumbnailUri()

  Get the URI to the thumbnail representation (gif).

  Returns
    the URI to the thumbnail.

### setThumbnailUri

    public void setThumbnailUri(String thumbnailUri)

  Set the URI to the thumbnail represenation (gif).

  Parameters
    `thumbnailUri` -

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.